Plantronics + Polycom. Now together as Poly Logo

RPRM 8.4.1 to 9.0 - could not install RPP Control from package

SOLVED
Highlighted

RPRM 8.4.1 to 9.0 - could not install RPP Control from package

Hello

 

My customer want to upgrade his RPRM Virtual Software from 8.4.1 to 9.0 (possible according to Release Note 9.0)

 

But this is what happen: the RPRM load the upgrade file (downloaded and redownloaded) and install the file. Then, it reboots. When we look at the upgrade page of the RPRM, everything is in "PASS" status. no error.

 

But when we look at the upgrade.log file, we can see this:

 

CommandException: CommandException: command[/usr/bin/sudo -n -i /bin/mount -l] return code[1] output[This account is currently not available.
]:
2017-06-07 20:50:04,098 (rppuf.internal.install_utils)[ERROR]: could not install RPP Control from package[/var/polycom/cma/upgrade/normal/rprm.upg] to[/rpp-ctl]:CommandException: command[/usr/bin/sudo -n -i /bin/mount -l] return code[1] output[This account is currently not available.
]:
Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/rppuf/internal/install_utils.py", line 1769, in install_rpp_control
    mount_rppuf_package(packageFile, pkgMountPoint)
  File "/usr/lib64/python2.6/site-packages/rppuf/package.py", line 772, in mount_rppuf_package
    umount_rppuf_package(destDir)
  File "/usr/lib64/python2.6/site-packages/rppuf/package.py", line 676, in umount_rppuf_package
    mountData = get_mount_data()
  File "/usr/lib64/python2.6/site-packages/rppuf/general.py", line 945, in get_mount_data
    return parse_mount_data(runCmd(select_executable('mount') + ' -l', True, True, True))
  File "/usr/lib64/python2.6/site-packages/rppuf/general.py", line 650, in runCmd
    raise CommandException(cmd, ret, output)
CommandException: CommandException: command[/usr/bin/sudo -n -i /bin/mount -l] return code[1] output[This account is currently not available.
]:

 

[...]

 

Wed Jun  7 20:50:26 CEST 2017: ***********************Preparation for rppuf fails, the system will exist!**********************************
Wed Jun  7 20:50:26 CEST 2017: ***********************Regarding detailed information please check the /var/log/polycom/rpp/rppuf.log *****************
Wed Jun  7 20:50:26 CEST 2017: Running /var/polycom/cma/upgrade/scripts/default/start-product
Wed Jun  7 20:50:26 CEST 2017: Starting RPRM

 

[...]

 

Failed to communicate with system_control. Connection failure.: Connection refused
/var/polycom/cma/upgrade/scripts/install: line 1072: +REBOOT_NEEDED=1: command not found
Wed Jun  7 20:50:28 CEST 2017: Rebooting the server

 

 

We had reboot the system twice after the upgrade but still in 8.4.1.

 

Does anyone has a solution to this?

 

Thank you and best regards

 

Johan

Message 1 of 4
1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted
Polycom Employee & Community Manager

Re: RPRM 8.4.1 to 9.0 - could not install RPP Control from package

Hi johan

I urgently suggest you contact and work with Polycom support

Replied via a mobile device
----------------

Notice: This community forum is not an official Poly support resource, thus responses from Poly employees, partners, and customers alike are best-effort in attempts to share learned knowledge. If you need immediate and/or official assistance please open a service ticket through your proper support channels.
Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

View solution in original post

Message 2 of 4
3 REPLIES 3
Highlighted
Polycom Employee & Community Manager

Re: RPRM 8.4.1 to 9.0 - could not install RPP Control from package

Hi johan

I urgently suggest you contact and work with Polycom support

Replied via a mobile device
----------------

Notice: This community forum is not an official Poly support resource, thus responses from Poly employees, partners, and customers alike are best-effort in attempts to share learned knowledge. If you need immediate and/or official assistance please open a service ticket through your proper support channels.
Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

View solution in original post

Message 2 of 4
Highlighted

Re: RPRM 8.4.1 to 9.0 - could not install RPP Control from package

Hello Steffen,

 

Thank you, is it possible to open a ticket with the serial number VMWARE directly in the web service request?

Message 3 of 4
Highlighted

Re: RPRM 8.4.1 to 9.0 - could not install RPP Control from package

Ok yes, via the Activation Code in tje Serial Number Search bar

Message 4 of 4